## xinvaders 2.0

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 # platform-specific configuration parameters - edit sun.cf to change
 
 # platform:  $XConsortium: sun.cf,v 1.38 89/12/23 16:10:10 jim Exp $
-# operating system:  SunOS 4.1
+# operating system:  SunOS 4.1.1
 
 ###########################################################################
 # site-specific configuration parameters - edit site.def to change
@@ -80,12 +80,12 @@
      INSTDATFLAGS = -m 0444
     INSTKMEMFLAGS = -m 4755
 
-          DESTDIR = /tools/X11
+          DESTDIR =
 
      TOP_INCLUDES = -I$(INCROOT)
 
       CDEBUGFLAGS = -O
-        CCOPTIONS =
+        CCOPTIONS = -pipe
       COMPATFLAGS =
 
       ALLINCLUDES = $(STD_INCLUDES) $(TOP_INCLUDES) $(INCLUDES) $(EXTRA_INCLUDES)
@@ -93,8 +93,7 @@
            CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
         LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)
            LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)
-
-        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS) -L/tools/X11/lib
+        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)
    LDCOMBINEFLAGS = -X -r
 
         MACROFILE = sun.cf
@@ -118,15 +117,15 @@
 # $XConsortium: Project.tmpl,v 1.63 89/12/18 16:46:44 jim Exp $
 
           PATHSEP = /
-        USRLIBDIR = /tools/X11/lib
-           BINDIR = /tools/X11/bin
-          INCROOT = /tools/X11/include
+        USRLIBDIR = $(DESTDIR)/usr/lib
+           BINDIR = $(DESTDIR)/usr/bin/X11
+          INCROOT = $(DESTDIR)/usr/include
      BUILDINCROOT = $(TOP)
       BUILDINCDIR = $(BUILDINCROOT)/X11
       BUILDINCTOP = ..
            INCDIR = $(INCROOT)/X11
-           ADMDIR = /usr/adm
-           LIBDIR = /tools/X11/lib
+           ADMDIR = $(DESTDIR)/usr/adm
+           LIBDIR = $(USRLIBDIR)/X11
         CONFIGDIR = $(LIBDIR)/config
        LINTLIBDIR = $(USRLIBDIR)/lint
 
@@ -136,9 +135,9 @@
            AWMDIR = $(LIBDIR)/awm
            TWMDIR = $(LIBDIR)/twm
            GWMDIR = $(LIBDIR)/gwm
-          MANPATH = /tools/X11/man
+          MANPATH = $(DESTDIR)/usr/man
     MANSOURCEPATH = $(MANPATH)/man
-           MANDIR = $(MANSOURCEPATH)l
+           MANDIR = $(MANSOURCEPATH)1
         LIBMANDIR = $(MANSOURCEPATH)3
       XAPPLOADDIR = $(LIBDIR)/app-defaults
 
@@ -207,16 +206,15 @@
         DEPXAWLIB =
            XAWLIB = -lXaw
 
+      DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
+         XDMCPLIB =  -lXdmcp
+
  LINTEXTENSIONLIB = $(USRLIBDIR)/llib-lXext.ln
          LINTXLIB = $(USRLIBDIR)/llib-lX11.ln
           LINTXMU = $(USRLIBDIR)/llib-lXmu.ln
         LINTXTOOL = $(USRLIBDIR)/llib-lXt.ln
           LINTXAW = $(USRLIBDIR)/llib-lXaw.ln
 
-        XWLIBSRC = $(CONTRIBSRC)/toolkits/Xw
-        DEPXWLIB = $(USRLIBDIR)/libXw.a
-        XWLIB =  -lXw
-
           DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)
 
          DEPLIBS1 = $(DEPLIBS)
@@ -256,7 +254,7 @@
 	$(INSTALL) -c $(INSTPGMFLAGS)   xinvaders $(BINDIR)
 
 install.man:: xinvaders.man
-	$(INSTALL) -c $(INSTMANFLAGS) xinvaders.man $(MANDIR)/xinvaders.l
+	$(INSTALL) -c $(INSTMANFLAGS) xinvaders.man $(MANDIR)/xinvaders.1
 
 depend::
 	$(DEPEND) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)
@@ -310,50 +308,3 @@
 ###########################################################################
 # dependencies generated by makedepend
 
-# DO NOT DELETE
-
-spacers.o: vaders.h /usr/include/stdio.h /usr/include/math.h
-spacers.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
-spacers.o: /tools/X11/include/X11/Xlib.h /usr/include/sys/types.h
-spacers.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
-spacers.o: /tools/X11/include/X11/X.h /tools/X11/include/X11/Xos.h
-spacers.o: /usr/include/strings.h /usr/include/sys/file.h
-spacers.o: /usr/include/sys/fcntlcom.h /usr/include/sys/stat.h
-spacers.o: /usr/include/sys/time.h /usr/include/sys/time.h
-spacers.o: /tools/X11/include/X11/Xutil.h /tools/X11/include/X11/cursorfont.h
-spacers.o: /tools/X11/include/X11/IntrinsicP.h
-spacers.o: /tools/X11/include/X11/Intrinsic.h
-spacers.o: /tools/X11/include/X11/Xresource.h /tools/X11/include/X11/Core.h
-spacers.o: /tools/X11/include/X11/Composite.h
-spacers.o: /tools/X11/include/X11/Constraint.h
-spacers.o: /tools/X11/include/X11/Object.h /tools/X11/include/X11/RectObj.h
-spacers.o: /tools/X11/include/X11/CoreP.h /tools/X11/include/X11/CompositeP.h
-spacers.o: /tools/X11/include/X11/ConstrainP.h
-spacers.o: /tools/X11/include/X11/ObjectP.h /tools/X11/include/X11/RectObjP.h
-spacers.o: /tools/X11/include/X11/StringDefs.h
-base.o: vaders.h /usr/include/stdio.h /usr/include/math.h
-base.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
-base.o: /tools/X11/include/X11/Xlib.h /usr/include/sys/types.h
-base.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
-base.o: /tools/X11/include/X11/X.h /tools/X11/include/X11/Xos.h
-base.o: /usr/include/strings.h /usr/include/sys/file.h
-base.o: /usr/include/sys/fcntlcom.h /usr/include/sys/stat.h
-base.o: /usr/include/sys/time.h /usr/include/sys/time.h
-base.o: /tools/X11/include/X11/Xutil.h /tools/X11/include/X11/cursorfont.h
-base.o: /tools/X11/include/X11/IntrinsicP.h
-base.o: /tools/X11/include/X11/Intrinsic.h /tools/X11/include/X11/Xresource.h
-base.o: /tools/X11/include/X11/Core.h /tools/X11/include/X11/Composite.h
-base.o: /tools/X11/include/X11/Constraint.h /tools/X11/include/X11/Object.h
-base.o: /tools/X11/include/X11/RectObj.h /tools/X11/include/X11/CoreP.h
-base.o: /tools/X11/include/X11/CompositeP.h
-base.o: /tools/X11/include/X11/ConstrainP.h /tools/X11/include/X11/ObjectP.h
-base.o: /tools/X11/include/X11/RectObjP.h /tools/X11/include/X11/StringDefs.h
-widget.o: vaders.h /usr/include/stdio.h /usr/include/math.h
-widget.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
-widget.o: /tools/X11/include/X11/Xlib.h /usr/include/sys/types.h
-widget.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
-widget.o: /tools/X11/include/X11/X.h /tools/X11/include/X11/Xos.h
-widget.o: /usr/include/strings.h /usr/include/sys/file.h
-widget.o: /usr/include/sys/fcntlcom.h /usr/include/sys/stat.h
-widget.o: /usr/include/sys/time.h /usr/include/sys/time.h
-widget.o: /tools/X11/include/X11/Xutil.h /tools/X11/include/X11/cursorfont.h
